aboutsummaryrefslogtreecommitdiff
path: root/script
diff options
context:
space:
mode:
Diffstat (limited to 'script')
-rwxr-xr-xscript/dev-cluster.sh2
-rwxr-xr-xscript/dev-configure.sh5
-rwxr-xr-xscript/test-smoke.sh22
3 files changed, 28 insertions, 1 deletions
diff --git a/script/dev-cluster.sh b/script/dev-cluster.sh
index cfe9be0d..2826d226 100755
--- a/script/dev-cluster.sh
+++ b/script/dev-cluster.sh
@@ -10,7 +10,7 @@ PATH="${GARAGE_DEBUG}:${GARAGE_RELEASE}:$PATH"
FANCYCOLORS=("41m" "42m" "44m" "45m" "100m" "104m")
export RUST_BACKTRACE=1
-export RUST_LOG=garage=info
+export RUST_LOG=garage=trace
MAIN_LABEL="\e[${FANCYCOLORS[0]}[main]\e[49m"
WHICH_GARAGE=$(which garage || exit 1)
diff --git a/script/dev-configure.sh b/script/dev-configure.sh
index 8b7392c6..698c7ed9 100755
--- a/script/dev-configure.sh
+++ b/script/dev-configure.sh
@@ -6,6 +6,11 @@ GARAGE_DEBUG="${REPO_FOLDER}/target/debug/"
GARAGE_RELEASE="${REPO_FOLDER}/target/release/"
PATH="${GARAGE_DEBUG}:${GARAGE_RELEASE}:$PATH"
+until garage status 2>&1|grep -q Healthy ; do
+ echo "cluster starting..."
+ sleep 1
+done
+
garage status \
| grep UNCONFIGURED \
| grep -Po '^[0-9a-f]+' \
diff --git a/script/test-smoke.sh b/script/test-smoke.sh
new file mode 100755
index 00000000..7b462b00
--- /dev/null
+++ b/script/test-smoke.sh
@@ -0,0 +1,22 @@
+#!/bin/bash
+
+set -ex
+shopt -s expand_aliases
+
+SCRIPT_FOLDER="`dirname \"$0\"`"
+REPO_FOLDER="${SCRIPT_FOLDER}/../"
+
+cargo build
+${SCRIPT_FOLDER}/dev-clean.sh
+${SCRIPT_FOLDER}/dev-cluster.sh > /tmp/garage.log 2>&1 &
+${SCRIPT_FOLDER}/dev-configure.sh
+${SCRIPT_FOLDER}/dev-bucket.sh
+source ${SCRIPT_FOLDER}/dev-env.sh
+
+dd if=/dev/urandom of=/tmp/garage.rnd bs=1M count=10
+
+s3grg put /tmp/garage.rnd s3://eprouvette/
+s3grg ls s3://eprouvette
+s3grg get s3://eprouvette/garage.rnd /tmp/garage.dl
+
+diff /tmp/garage.rnd /tmp/garage.dl